/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';
@import 'css/_general_styling.scss';
@import 'css/mixins/_fonts.scss';

.evidence-container {
  &__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 8px 0px;
  }
  &__date {
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 19px;
    color: $coa-light-gray-100;
  }
  &__indicator {
    font-style: normal;
    font-weight: 500;
    line-height: 19px;
    font-size: 16px;
    color: $coa-primary;
  }
  &__title {
    font-style: normal;
    font-weight: 600;
    font-size: 24px;
    line-height: 135.2%;
    margin-top: 8px;
  }
  &__description {
    margin-top: 16px;
    font-size: 18px;
    color: $coa-medium-gray-100;
    word-wrap: break-word;
    margin-bottom: 1rem;
  }
  &__created-by {
    color: $coa-grey-100;
    font-family: 'Rubik';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 19px;
    padding-block: 0.5rem;
  }
  &__creator-name {
    color: $coa-grey-100;
    font-weight: 600;
    font-size: 16px;
    line-height: 19px;
  }
}

.attached-files {
  &__header {
    margin-bottom: 16px;
    display: flex;
    justify-content: space-between;
    align-items: center;

    &__titleContainer {
      display: flex;
      column-gap: 0.5625rem;
      align-items: center;
    }
    &__title {
      line-height: 22px;
      @include primary-text(1rem, $coa-dark-gray-100, 700);
    }
    &__download {
      span {
        font-size: 1rem;
        text-decoration: underline;
      }
    }
  }

  &__filesContainer {
    display: flex;
    flex-direction: column;
    row-gap: 1.875rem;
  }

  &__file {
    width: 100%;
    display: flex;
    flex-direction: column;
    row-gap: 1rem;

    img {
      width: 100%;
      object-fit: contain;
      background: $original-black;
    }

    img,
    iframe {
      min-height: 49.5625rem;

      @include respond(mobile) {
        min-height: 25rem;
      }
    }
  }
  &__download {
    width: 100%;
    display: flex;
    justify-content: space-between;
    &__file-left {
      display: flex;
      column-gap: 0.5625rem;
      align-items: center;
    }
    &__file-title {
      color: $coa-grey-100;
      font-weight: 400;
    }
    &__file-download {
      span {
        text-decoration: underline;
        font-size: 1rem;
      }
    }
  }
}

.evidence-comments {
  background: $coa-light-sky-blue-100;
  border-radius: 20px;
  margin-top: 32px;
  width: 100%;
  &__header {
    font-size: 16px;
    color: $coa-medium-gray-100;
    line-height: 19px;
    font-weight: 600;
    padding: 16px 16px 8px 16px;
    border-bottom: solid 1px $coa-light-gray-100;
  }
  &__no-comments {
    padding: 16px;
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  &__message {
    text-align: center;
  }
  &__image {
    width: 104px;
  }
  &__reason {
    padding: 20px;
    padding-top: 8px;
    display: flex;
    align-items: flex-start;
    gap: 18px;
  }
  &__top {
    display: flex;
    align-items: baseline;
  }
  &__auditor-name {
    font-family: 'Rubik';
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    color: $coa-dark-gray-100;
    margin-right: 8px;
  }
  &__date {
    font-family: 'Rubik';
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 14px;
    color: $coa-grey-100;
  }
  &__text {
    margin-top: 10px;
    font-family: 'Rubik';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 17px;
  }
}

.evidenceDetail {
  width: 100%;
  display: grid;
  grid-template-areas:
    'breadcrumb deleteEvidenceButton'
    'content    changelog';
  grid-template-rows: auto 1fr;
  grid-template-columns: 1.5fr 1fr;
  column-gap: 5.75rem;
  row-gap: 2.625rem;
  margin-bottom: 2rem;

  @include breakpoint(lg) {
    grid-template-areas:
      'breadcrumb'
      'content'
      'deleteEvidenceButton'
      'changelog';
    grid-template-rows: repeat(auto, 4);
    grid-template-columns: 1fr;
  }

  &__breadcrumbContainer {
    grid-area: breadcrumb;
  }

  &__contentContainer {
    grid-area: content;
  }

  &__deleteEvidenceButtonContainer {
    grid-area: deleteEvidenceButton;
    justify-self: flex-end;

    @include breakpoint(lg) {
      justify-self: stretch;

      &__button {
        width: 100%;
      }
    }
  }

  &__changelogContainer {
    grid-area: changelog;
  }

  &__emptyContainer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 1.25rem;
    width: 100%;
    min-height: 23.1875rem;
    background: $coa-secondary;
    border-radius: 6px;
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    -ms-border-radius: 6px;
    -o-border-radius: 6px;

    &__text {
      color: $coa-primary;
      text-align: right;
      font-size: 16px;
      font-style: normal;
      font-weight: 600;
      line-height: normal;
    }
  }

  &__auditorOptions {
    display: flex;
    column-gap: 0.625rem;
    justify-content: flex-end;

    &__rejectButton,
    &__approveButton {
      @include breakpoint(md) {
        flex: 1;
        min-width: auto;
      }
    }
  }
}
